Loading...
Searching...
No Matches
traversal.hh File Reference
`#include <utility>`
`#include <dune/common/hybridutilities.hh>`
`#include <dune/common/indices.hh>`
`#include <dune/common/std/type_traits.hh>`
`#include <dune/common/typetree/nodeconcepts.hh>`
`#include <dune/common/typetree/childaccess.hh>`
`#include <dune/common/typetree/treepath.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace
namespace | Dune::TypeTree

## Functions

template<Concept::InnerTreeNode Tree, class Callable>
constexpr void | Dune::TypeTree::forEachChild (Tree &&container, Callable &&at_value)
| Traverse each child of a tree and apply a callable function.
template<class Tree, class PreNodeFunc, class LeafNodeFunc, class PostNodeFunc>
void | Dune::TypeTree::forEachNode (Tree &&tree, PreNodeFunc &&preNodeFunc, LeafNodeFunc &&leafNodeFunc, PostNodeFunc &&postNodeFunc)
| Traverse tree and visit each node.
template<Concept::TreeNode Tree, class NodeFunc>
void | Dune::TypeTree::forEachNode (Tree &&tree, NodeFunc &&nodeFunc)
| Traverse tree and visit each node.
template<Concept::TreeNode Tree, class LeafFunc>
void | Dune::TypeTree::forEachLeafNode (Tree &&tree, LeafFunc &&leafFunc)
| Traverse tree and visit each leaf node.